DtEditorInvokeFormatDialog(library call)

NAME
DtEditorInvokeFormatDialog — display the DtEditor widget dialog for choosing formatting options

SYNOPSIS

#include &<Dt/Editor.h>
void DtEditorInvokeFormatDialog(
Widget widget);

DESCRIPTION

The DtEditorInvokeFormatDialog function displays the Format Settings dialog of the DtEditor widget. This dialog enables a user to set the text formatting options: margins and text alignments (left aligned, right aligned, justified or centered). The dialog also provides the capability to format either the paragraph containing the insertion cursor or the entire contents of the DtEditor widget. The Format Settings dialog remains displayed until the user closes it. For a complete description of the Format Settings dialog, see DtEditor.

Text can be formatted programmatically with DtEditorFormat(3).

The widget argument specifies the DtEditor widget ID.

For a complete definition of the DtEditor widget and its associated resources, see DtEditor(3).

RETURN VALUE

The DtEditorInvokeFormatDialog function returns no value.

SEE ALSO

Dt/Editor.h - DtEditor(5), DtEditor(3), DtEditorFormat(3).